# Uses of Class
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes.DiffNode

Packages that use DiffNode
Package
Description
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes

## Uses of DiffNode in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that return DiffNode
Modifier and Type
Method
Description
`protected DiffNode`
BasicDifferenceGroupImpl.`createDiffNode(Diff diff)`
Create a diff node.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with parameters of type DiffNode
Modifier and Type
Method
Description
`protected void`
BasicDifferenceGroupImpl.`handleRefiningDiffs(DiffNode diffNode)`
Handle the diffs that refine the given diff.

## Uses of DiffNode in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes that return types with arguments of type DiffNode
Modifier and Type
Method
Description
`Iterable<DiffNode>`
MatchNode.`getDiffNodes()`
Get all the diffs that are part of the match
`Iterable<DiffNode>`
DiffNode.`getRefinedDiffs()`
Get all the refined DiffNode that are part of this DiffNode.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes with parameters of type DiffNode
Modifier and Type
Method
Description
`boolean`
MatchNode.`addDiffNode(DiffNode diffNode)`
Add the given DiffNode to the children of this MatchNode.
`boolean`
MatchResourceNode.`addDiffNode(DiffNode diffNode)`
Add the given DiffNode to the direct children of this MatchResourceNode.
`boolean`
DiffNode.`addRefinedDiffNode(DiffNode diffNode)`
Add the given DiffNode to the children of this DiffNode.
`boolean`
MatchNode.`removeDiffNode(DiffNode diffNode)`
Remove the given DiffNode of the children of this MatchNode.
`boolean`
MatchResourceNode.`removeDiffNode(DiffNode diffNode)`
Remove the given DiffNode of the direct children of this MatchResourceNode.
`boolean`
DiffNode.`removeRefinedDiffNode(DiffNode diffNode)`
Remove the given DiffNode of the children of this DiffNode.